Subject: bug#76055: 29.4; Doc of string-empty-p

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Feb 2025 10:06:24 +0200

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Wed, 5 Feb 2025 21:13:05 +0000
> 
> > > To be more precise: Please do it for each
> > > such function where you can guess that this
> > > behavior isn't just a side effect or that's
> > > likely to be changed without notice.
> > 
> > How can anyone know that?
> 
> By looking at the name of the function and the
> function definition, and thinking about how
> the function is used and expected to be used?

Feel free to do this and suggest which functions you think should
document their support of symbols.  I personally think that you are
greatly underestimating how large and complex this job is, and
therefore I don't plan doing it myself, and would not encourage anyone
to do it.  I think the benefits are quite small compared with the
efforts.

> At least for _new_ functions that use primarily
> strings as args, the _author_ should know why it
> was decided to allow symbols instead of just
> strings.

You assume that it was a conscious decision, but that is not given at
all.  I dare to think that this assumption is simply false in most, if
not all, cases.